Package net.shibboleth.shared.io

# Class SizeLimitExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
net.shibboleth.shared.io.SizeLimitExceededException

All Implemented Interfaces:
  `Serializable`

public class SizeLimitExceededException extends IOException
Exception used by `SizeLimitedInputStream` to indicate when the maximum allowed size of the stream has been reached.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`SizeLimitExceededException()`
Constructor.
`SizeLimitExceededException(String message)`
Constructor.
`SizeLimitExceededException(String message, Throwable cause)`
Constructor.
`SizeLimitExceededException(Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

## Constructor Details

### SizeLimitExceededException

public SizeLimitExceededException()
Constructor.

### SizeLimitExceededException

public SizeLimitExceededException(String message, Throwable cause)
Constructor.

Parameters:
  `message` - exception message
  `cause` - underlying cause of this exception

### SizeLimitExceededException

public SizeLimitExceededException(String message)
Constructor.

Parameters:
  `message` - exception message

### SizeLimitExceededException

public SizeLimitExceededException(Throwable cause)
Constructor.

Parameters:
  `cause` - underlying cause of this exception